Get a chatbot
curl --request GET \
--url https://api.pineyard.ai/chatbots/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/chatbots/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/chatbots/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "<string>",
"name": "<string>",
"systemPrompt": "<string>",
"model": "<string>",
"status": "<string>",
"temperature": 123,
"maxOutputTokens": 123,
"rateLimitPerMinute": 123,
"secretKeyLast4": "<string>",
"knowledgeBaseIds": [
"<string>"
],
"createdAt": "<string>",
"updatedAt": "<string>"
}Chatbots
Get a chatbot
GET
/
chatbots
/
{id}
Get a chatbot
curl --request GET \
--url https://api.pineyard.ai/chatbots/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/chatbots/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/chatbots/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "<string>",
"name": "<string>",
"systemPrompt": "<string>",
"model": "<string>",
"status": "<string>",
"temperature": 123,
"maxOutputTokens": 123,
"rateLimitPerMinute": 123,
"secretKeyLast4": "<string>",
"knowledgeBaseIds": [
"<string>"
],
"createdAt": "<string>",
"updatedAt": "<string>"
}Required scope:
chatbots.view
Requires chatbots enabled on your account. Otherwise the request is refused; see Errors.
Authorizations
Your API key, e.g. pk_live_xxxxxxxxxxxxxxxxxxxxxxxx.
Path Parameters
Response
OK

